Subject: Re: bug#26378: 26.0.50; Hitting 'n' during ediff gives Error

From: [email-masked]
Date: Thu, 06 Apr 2017 19:38:26 -0400

Kaushal Modi <[email-masked]> writes:

>> > +The PROGRAM is executed asynchronously unless `system-type' is
>> > +`windows-nt' or `ms-dos', or unless SYNCH is non-nil.
>>
>> I think the second "unless" is redundant.
>>
>
> I prefer repeating 'unless' in this case where the subject is changing from
> system-type to SYNCH. It just adds clarity. Though, grammatically what you
> suggested is also correct. So for reducing redundancy, I'll go with your
> suggestion.

Yeah, I guess it could go either way.

>
>> > I have tweaked this part slightly (see patch in this email). Based on the
>> > code, nil and "" elements will be removed from a concatenated list of
>> > OPTIONS and FILES; not just FILES.
>>
>> But OPTIONS can't have nil or "" in it (or any "elements", really), so I
>> don't think there is any need to talk about that in the docstring.
>>
>
> That's correct. I've updated the patch with what you suggested earlier.

Thanks, I think this is ready to go in.  Could you resend as an
attachment?  It doesn't seem to apply, possibly because of line wrapping
and/or whitespace corruption.